{
  "info": {
    "title": "RELAND API",
    "version": "1.0.0",
    "description": "API RELAND para integrações internas e automações. Use Authorization: Bearer <API_TOKEN> para acessar a spec protegida e chamar endpoints autenticados."
  },
  "servers": [
    {
      "url": "https://api.reland.com.br/rpc"
    }
  ],
  "openapi": "3.1.1",
  "paths": {
    "/ai/getStatus": {
      "post": {
        "operationId": "ai.getStatus",
        "summary": "ai get Status",
        "description": "Endpoint POST /ai/getStatus. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/auth/getUser": {
      "post": {
        "operationId": "auth.getUser",
        "summary": "auth get User",
        "description": "Endpoint POST /auth/getUser. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/auth/signInWithGoogle": {
      "post": {
        "operationId": "auth.signInWithGoogle",
        "summary": "auth sign In With Google",
        "description": "Endpoint POST /auth/signInWithGoogle. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "token": {
                    "type": "string"
                  },
                  "user": {
                    "type": "object",
                    "properties": {
                      "name": {
                        "type": "string"
                      },
                      "phone": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "origin": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "language": {
                        "not": {}
                      }
                    }
                  }
                },
                "required": [
                  "token",
                  "user"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/auth/sendMagicLink": {
      "post": {
        "operationId": "auth.sendMagicLink",
        "summary": "auth send Magic Link",
        "description": "Endpoint POST /auth/sendMagicLink. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "email": {
                    "type": "string",
                    "format": "email"
                  },
                  "redirectPath": {
                    "type": "string"
                  },
                  "user": {
                    "type": "object",
                    "properties": {
                      "name": {
                        "type": "string"
                      },
                      "phone": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "origin": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "language": {
                        "not": {}
                      }
                    }
                  }
                },
                "required": [
                  "email"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/auth/sendWhatsAppCode": {
      "post": {
        "operationId": "auth.sendWhatsAppCode",
        "summary": "auth send Whats App Code",
        "description": "Endpoint POST /auth/sendWhatsAppCode. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "phone": {
                    "type": "string",
                    "minLength": 4
                  },
                  "language": {
                    "not": {}
                  }
                },
                "required": [
                  "phone"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/auth/signInWithMagicLink": {
      "post": {
        "operationId": "auth.signInWithMagicLink",
        "summary": "auth sign In With Magic Link",
        "description": "Endpoint POST /auth/signInWithMagicLink. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "token": {
                    "type": "string"
                  },
                  "email": {
                    "type": "string",
                    "format": "email"
                  },
                  "code": {
                    "type": "string"
                  },
                  "user": {
                    "type": "object",
                    "properties": {
                      "name": {
                        "type": "string"
                      },
                      "phone": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "origin": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "language": {
                        "not": {}
                      }
                    }
                  }
                },
                "required": [
                  "user"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/auth/signInWithWhatsAppCode": {
      "post": {
        "operationId": "auth.signInWithWhatsAppCode",
        "summary": "auth sign In With Whats App Code",
        "description": "Endpoint POST /auth/signInWithWhatsAppCode. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "phone": {
                    "type": "string",
                    "minLength": 4
                  },
                  "code": {
                    "type": "string",
                    "minLength": 4
                  },
                  "user": {
                    "type": "object",
                    "properties": {
                      "name": {
                        "type": "string"
                      },
                      "phone": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "origin": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "language": {
                        "not": {}
                      }
                    }
                  }
                },
                "required": [
                  "phone",
                  "code",
                  "user"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/auth/signOut": {
      "post": {
        "operationId": "auth.signOut",
        "summary": "auth sign Out",
        "description": "Endpoint POST /auth/signOut. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/auth/pretaterra/getIdentity": {
      "post": {
        "operationId": "auth.pretaterra.getIdentity",
        "summary": "auth pretaterra get Identity",
        "description": "Endpoint POST /auth/pretaterra/getIdentity. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "userId": {
                    "type": "string",
                    "minLength": 1
                  }
                },
                "required": [
                  "userId"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/auth/pretaterra/sendEmailCode": {
      "post": {
        "operationId": "auth.pretaterra.sendEmailCode",
        "summary": "auth pretaterra send Email Code",
        "description": "Endpoint POST /auth/pretaterra/sendEmailCode. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "email": {
                    "type": "string",
                    "format": "email"
                  }
                },
                "required": [
                  "email"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/auth/pretaterra/verifyEmailCode": {
      "post": {
        "operationId": "auth.pretaterra.verifyEmailCode",
        "summary": "auth pretaterra verify Email Code",
        "description": "Endpoint POST /auth/pretaterra/verifyEmailCode. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "email": {
                    "type": "string",
                    "format": "email"
                  },
                  "code": {
                    "type": "string",
                    "minLength": 6,
                    "maxLength": 6
                  }
                },
                "required": [
                  "email",
                  "code"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/auth/pretaterra/sendWhatsAppCode": {
      "post": {
        "operationId": "auth.pretaterra.sendWhatsAppCode",
        "summary": "auth pretaterra send Whats App Code",
        "description": "Endpoint POST /auth/pretaterra/sendWhatsAppCode. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "phone": {
                    "type": "string",
                    "minLength": 4
                  },
                  "language": {
                    "not": {}
                  }
                },
                "required": [
                  "phone"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/auth/pretaterra/verifyWhatsAppCode": {
      "post": {
        "operationId": "auth.pretaterra.verifyWhatsAppCode",
        "summary": "auth pretaterra verify Whats App Code",
        "description": "Endpoint POST /auth/pretaterra/verifyWhatsAppCode. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "phone": {
                    "type": "string",
                    "minLength": 4
                  },
                  "code": {
                    "type": "string",
                    "minLength": 6,
                    "maxLength": 6
                  }
                },
                "required": [
                  "phone",
                  "code"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/auth/devLoginAsAdmin": {
      "post": {
        "operationId": "auth.devLoginAsAdmin",
        "summary": "auth dev Login As Admin",
        "description": "Endpoint POST /auth/devLoginAsAdmin. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "email": {
                    "type": "string",
                    "format": "email"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/auth/impersonate": {
      "post": {
        "operationId": "auth.impersonate",
        "summary": "auth impersonate",
        "description": "Endpoint POST /auth/impersonate. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "userId": {
                    "type": "string"
                  }
                },
                "required": [
                  "userId"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/articles/find": {
      "post": {
        "operationId": "articles.find",
        "summary": "articles find",
        "description": "Endpoint POST /articles/find. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "slug": {
                    "type": "string"
                  },
                  "language": {
                    "enum": [
                      "pt-br",
                      "en",
                      "es",
                      "zh",
                      "ar",
                      "hi",
                      "ru",
                      "fr",
                      "de",
                      "ja"
                    ],
                    "type": "string"
                  }
                },
                "required": [
                  "slug"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/articles/list": {
      "post": {
        "operationId": "articles.list",
        "summary": "articles list",
        "description": "Endpoint POST /articles/list. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "language": {
                    "type": "string"
                  },
                  "limit": {
                    "type": "number",
                    "default": 12
                  },
                  "page": {
                    "type": "number",
                    "default": 1
                  },
                  "category": {
                    "type": "string"
                  },
                  "author": {
                    "type": "string"
                  },
                  "showAll": {
                    "type": "boolean",
                    "default": false
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/articles/listMore": {
      "post": {
        "operationId": "articles.listMore",
        "summary": "articles list More",
        "description": "Endpoint POST /articles/listMore. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "language": {
                    "type": "string"
                  },
                  "category": {
                    "type": "string"
                  }
                },
                "required": [
                  "id",
                  "language"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/currencies/list": {
      "post": {
        "operationId": "currencies.list",
        "summary": "currencies list",
        "description": "Endpoint POST /currencies/list. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/currencies/getByCode": {
      "post": {
        "operationId": "currencies.getByCode",
        "summary": "currencies get By Code",
        "description": "Endpoint POST /currencies/getByCode. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string"
                  }
                },
                "required": [
                  "code"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/currencies/getRates": {
      "post": {
        "operationId": "currencies.getRates",
        "summary": "currencies get Rates",
        "description": "Endpoint POST /currencies/getRates. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/listings/listHomepage": {
      "post": {
        "operationId": "listings.listHomepage",
        "summary": "listings list Homepage",
        "description": "Endpoint POST /listings/listHomepage. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/listings/list": {
      "post": {
        "operationId": "listings.list",
        "summary": "listings list",
        "description": "Endpoint POST /listings/list. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "filters": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string"
                        },
                        "value": {
                          "anyOf": [
                            {
                              "anyOf": [
                                {
                                  "type": "string"
                                },
                                {
                                  "type": "number"
                                }
                              ]
                            },
                            {
                              "type": "boolean"
                            }
                          ]
                        }
                      },
                      "required": [
                        "id"
                      ]
                    },
                    "default": []
                  },
                  "filterType": {
                    "enum": [
                      "and",
                      "or"
                    ],
                    "type": "string",
                    "default": "and"
                  },
                  "orderBy": {
                    "enum": [
                      "relevant",
                      "area-asc",
                      "area-desc",
                      "price-asc",
                      "price-desc",
                      "newest",
                      "oldest",
                      "lowest-price-area",
                      "highest-price-area"
                    ],
                    "type": "string",
                    "default": "relevant"
                  },
                  "page": {
                    "type": "number",
                    "default": 1
                  },
                  "limit": {
                    "type": "number",
                    "default": 24
                  },
                  "includeTotal": {
                    "type": "boolean",
                    "default": false
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/listings/find": {
      "post": {
        "operationId": "listings.find",
        "summary": "listings find",
        "description": "Endpoint POST /listings/find. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "allowOffMarket": {
                    "type": "boolean",
                    "default": false
                  }
                },
                "required": [
                  "id"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/listings/create": {
      "post": {
        "operationId": "listings.create",
        "summary": "listings create",
        "description": "Endpoint POST /listings/create. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "code": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "created_at": {
                    "type": "string",
                    "format": "date-time",
                    "x-native-type": "date"
                  },
                  "updated_at": {
                    "type": "string",
                    "format": "date-time",
                    "x-native-type": "date"
                  },
                  "user_id": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "broker_user_id": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "car": {
                    "anyOf": [
                      {
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "property_name": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "ai_summary": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "ai_summary_translations": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "ai_summary_source_hash": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "ai_summary_generated_at": {
                    "anyOf": [
                      {
                        "type": "string",
                        "format": "date-time",
                        "x-native-type": "date"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "type": {
                    "anyOf": [
                      {
                        "enum": [
                          "country-home",
                          "small-farm",
                          "farm",
                          "stud-farm",
                          "plot",
                          "cottage",
                          "city-house",
                          "apartment",
                          "commercial",
                          "lodging",
                          "development",
                          "island",
                          "eco-village",
                          "mining"
                        ],
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "area": {
                    "type": "integer",
                    "minimum": -9007199254740991,
                    "maximum": 9007199254740991
                  },
                  "price": {
                    "anyOf": [
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "currency_unit_source": {
                    "type": "string"
                  },
                  "negotiation_min_price": {
                    "anyOf": [
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "accepted_payment_methods": {
                    "type": "array",
                    "items": {
                      "enum": [
                        "cash",
                        "financing",
                        "bitcoin",
                        "usd",
                        "soy_bags",
                        "gemstone",
                        "exchange",
                        "other"
                      ],
                      "type": "string"
                    }
                  },
                  "accepted_payment_other": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "rental_price": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "group_id": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "for_exchange": {
                    "anyOf": [
                      {
                        "type": "boolean"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "exchange_details": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "commission": {
                    "anyOf": [
                      {
                        "type": "integer",
                        "minimum": -2147483648,
                        "maximum": 2147483647
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "country_id": {
                    "anyOf": [
                      {
                        "type": "integer",
                        "minimum": -9007199254740991,
                        "maximum": 9007199254740991
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "state_id": {
                    "anyOf": [
                      {
                        "type": "integer",
                        "minimum": -9007199254740991,
                        "maximum": 9007199254740991
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "city_id": {
                    "anyOf": [
                      {
                        "type": "integer",
                        "minimum": -9007199254740991,
                        "maximum": 9007199254740991
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "district": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "neighborhood": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "address": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "coordinates": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "lat": {
                    "anyOf": [
                      {
                        "type": "number",
                        "minimum": -140737488355328,
                        "maximum": 140737488355327
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "lng": {
                    "anyOf": [
                      {
                        "type": "number",
                        "minimum": -140737488355328,
                        "maximum": 140737488355327
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "images": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "video": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "documents": {
                    "anyOf": [
                      {
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "polygon_geojson": {
                    "anyOf": [
                      {
                        "anyOf": [
                          {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "number"
                              },
                              {
                                "type": "boolean"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          {
                            "type": "object",
                            "propertyNames": {
                              "type": "string"
                            },
                            "additionalProperties": {}
                          },
                          {
                            "type": "array",
                            "items": {}
                          }
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "status": {
                    "enum": [
                      "draft",
                      "pending",
                      "published",
                      "off_market",
                      "paused",
                      "rejected",
                      "duplicated",
                      "approved",
                      "suspicious",
                      "removed",
                      "integrated",
                      "sold"
                    ],
                    "type": "string"
                  },
                  "for_sale": {
                    "type": "boolean"
                  },
                  "for_rent": {
                    "anyOf": [
                      {
                        "type": "boolean"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "for_auction": {
                    "anyOf": [
                      {
                        "type": "boolean"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "image_quality_score": {
                    "anyOf": [
                      {
                        "type": "integer",
                        "minimum": -2147483648,
                        "maximum": 2147483647
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "advertiser_relationship_score": {
                    "anyOf": [
                      {
                        "type": "integer",
                        "minimum": -2147483648,
                        "maximum": 2147483647
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "advertiser_quality_score": {
                    "anyOf": [
                      {
                        "type": "integer",
                        "minimum": -2147483648,
                        "maximum": 2147483647
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "advertiser_score": {
                    "anyOf": [
                      {
                        "type": "integer",
                        "minimum": -2147483648,
                        "maximum": 2147483647
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "property_score": {
                    "anyOf": [
                      {
                        "type": "integer",
                        "minimum": -2147483648,
                        "maximum": 2147483647
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "priority_score": {
                    "anyOf": [
                      {
                        "type": "integer",
                        "minimum": -2147483648,
                        "maximum": 2147483647
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "details": {
                    "anyOf": [
                      {
                        "type": "object",
                        "properties": {
                          "building_area": {
                            "type": "number",
                            "exclusiveMinimum": 0
                          },
                          "exchange": {
                            "type": "boolean"
                          },
                          "pricing_features": {
                            "type": "object",
                            "properties": {
                              "water": {
                                "type": "array",
                                "items": {
                                  "enum": [
                                    "river",
                                    "spring",
                                    "lake",
                                    "reservoir",
                                    "stream",
                                    "well"
                                  ],
                                  "type": "string"
                                }
                              },
                              "topography": {
                                "enum": [
                                  "flat",
                                  "gently_rolling",
                                  "rolling",
                                  "steep_rolling",
                                  "mountainous"
                                ],
                                "type": "string"
                              },
                              "production": {
                                "type": "array",
                                "items": {
                                  "enum": [
                                    "agriculture",
                                    "grains",
                                    "coffee",
                                    "sugarcane",
                                    "fruit",
                                    "horticulture",
                                    "livestock",
                                    "beef_cattle",
                                    "dairy_cattle",
                                    "equine",
                                    "small_ruminants",
                                    "poultry",
                                    "fish_farming",
                                    "forest",
                                    "eucalyptus",
                                    "reforestation",
                                    "leisure",
                                    "agroforestry",
                                    "organic_production",
                                    "agroindustry",
                                    "carbon_conservation",
                                    "rural_tourism",
                                    "mixed"
                                  ],
                                  "type": "string"
                                }
                              },
                              "main_use": {
                                "type": "array",
                                "items": {
                                  "enum": [
                                    "agriculture",
                                    "grains",
                                    "coffee",
                                    "sugarcane",
                                    "fruit",
                                    "horticulture",
                                    "livestock",
                                    "beef_cattle",
                                    "dairy_cattle",
                                    "equine",
                                    "small_ruminants",
                                    "poultry",
                                    "fish_farming",
                                    "forest",
                                    "eucalyptus",
                                    "reforestation",
                                    "leisure",
                                    "agroforestry",
                                    "organic_production",
                                    "agroindustry",
                                    "carbon_conservation",
                                    "rural_tourism",
                                    "mixed"
                                  ],
                                  "type": "string"
                                }
                              },
                              "infrastructure": {
                                "type": "array",
                                "items": {
                                  "enum": [
                                    "main_house",
                                    "condominium",
                                    "worker_house",
                                    "power",
                                    "three_phase_power",
                                    "internet",
                                    "barn",
                                    "corral",
                                    "silos"
                                  ],
                                  "type": "string"
                                }
                              }
                            }
                          },
                          "development": {
                            "type": "object",
                            "properties": {
                              "category": {
                                "enum": [
                                  "gated_lot_community",
                                  "masterplan",
                                  "vertical_residential",
                                  "condohotel",
                                  "mixed_use"
                                ],
                                "type": "string"
                              },
                              "total_area_m2": {
                                "type": "number",
                                "exclusiveMinimum": 0
                              },
                              "total_units": {
                                "type": "integer",
                                "minimum": -9007199254740991,
                                "maximum": 9007199254740991,
                                "exclusiveMinimum": 0
                              },
                              "neighborhoods_count": {
                                "type": "integer",
                                "minimum": -9007199254740991,
                                "maximum": 9007199254740991,
                                "exclusiveMinimum": 0
                              },
                              "amenities": {
                                "type": "array",
                                "items": {
                                  "enum": [
                                    "controlled_access",
                                    "security_24h",
                                    "clubhouse",
                                    "crystal_lagoon",
                                    "white_sand_beach",
                                    "marina",
                                    "sports_courts",
                                    "gym",
                                    "pool",
                                    "playground",
                                    "walking_trails",
                                    "hotel_services"
                                  ],
                                  "type": "string"
                                },
                                "default": []
                              },
                              "offerings": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "minLength": 1
                                    },
                                    "kind": {
                                      "enum": [
                                        "plot",
                                        "studio",
                                        "apartment",
                                        "penthouse",
                                        "other"
                                      ],
                                      "type": "string"
                                    },
                                    "area_from_m2": {
                                      "type": "number",
                                      "exclusiveMinimum": 0
                                    },
                                    "price_from": {
                                      "type": "number",
                                      "exclusiveMinimum": 0
                                    },
                                    "currency": {
                                      "type": "string",
                                      "minLength": 3,
                                      "maxLength": 3
                                    }
                                  },
                                  "required": [
                                    "name",
                                    "kind"
                                  ]
                                },
                                "default": []
                              }
                            },
                            "required": [
                              "category"
                            ]
                          }
                        }
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "verified": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "origin_url": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "origin_id": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "advertiser_relationship": {
                    "anyOf": [
                      {
                        "enum": [
                          "owner",
                          "relative",
                          "direct_broker",
                          "partner_broker"
                        ],
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "reason_not_approved": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "ai_rejection_reason": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "description_status": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "ai_audit_log": {
                    "anyOf": [
                      {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "number"
                          },
                          {
                            "type": "boolean"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      {
                        "type": "object",
                        "propertyNames": {
                          "type": "string"
                        },
                        "additionalProperties": {}
                      },
                      {
                        "type": "array",
                        "items": {}
                      }
                    ]
                  },
                  "language_source": {
                    "type": "string"
                  },
                  "description_verified": {
                    "type": "boolean"
                  },
                  "old_images": {
                    "anyOf": [
                      {
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "images_migration_status": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "notes": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "cultivable_area": {
                    "anyOf": [
                      {
                        "type": "number",
                        "minimum": -8388608,
                        "maximum": 8388607
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "reserved_area": {
                    "anyOf": [
                      {
                        "type": "number",
                        "minimum": -8388608,
                        "maximum": 8388607
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "exposure": {
                    "type": "integer",
                    "minimum": -2147483648,
                    "maximum": 2147483647
                  },
                  "views": {
                    "type": "integer",
                    "minimum": -2147483648,
                    "maximum": 2147483647
                  },
                  "favorites_count": {
                    "type": "integer",
                    "minimum": -2147483648,
                    "maximum": 2147483647
                  },
                  "posted": {
                    "type": "boolean"
                  },
                  "satellite_video": {
                    "type": "boolean"
                  },
                  "marketing_images": {
                    "anyOf": [
                      {
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "utm_source": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "utm_medium": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "utm_campaign": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "utm_content": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "utm_term": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "contact_id": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "contact_name": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "contact_phone": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "contact_origin": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "ad_origin": {
                    "anyOf": [
                      {
                        "enum": [
                          "advertise_site_forms",
                          "whatsapp",
                          "integration"
                        ],
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "plan_id": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "listing_pipeline_stage_key": {
                    "anyOf": [
                      {
                        "enum": [
                          "prospecting",
                          "material_collection",
                          "evaluation",
                          "script",
                          "video",
                          "dispatch",
                          "paid_traffic",
                          "concluded"
                        ],
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "draft_followup_sent_at": {
                    "anyOf": [
                      {
                        "type": "string",
                        "format": "date-time",
                        "x-native-type": "date"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "plan_followup_sent_at": {
                    "anyOf": [
                      {
                        "type": "string",
                        "format": "date-time",
                        "x-native-type": "date"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "embedding": {
                    "anyOf": [
                      {
                        "type": "array",
                        "minItems": 1536,
                        "maxItems": 1536,
                        "items": {
                          "type": "number"
                        }
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "description": {
                    "type": "string"
                  },
                  "pricing_features": {
                    "type": "object",
                    "properties": {
                      "water": {
                        "type": "array",
                        "items": {
                          "enum": [
                            "river",
                            "spring",
                            "lake",
                            "reservoir",
                            "stream",
                            "well"
                          ],
                          "type": "string"
                        }
                      },
                      "topography": {
                        "enum": [
                          "flat",
                          "gently_rolling",
                          "rolling",
                          "steep_rolling",
                          "mountainous"
                        ],
                        "type": "string"
                      },
                      "production": {
                        "type": "array",
                        "items": {
                          "enum": [
                            "agriculture",
                            "grains",
                            "coffee",
                            "sugarcane",
                            "fruit",
                            "horticulture",
                            "livestock",
                            "beef_cattle",
                            "dairy_cattle",
                            "equine",
                            "small_ruminants",
                            "poultry",
                            "fish_farming",
                            "forest",
                            "eucalyptus",
                            "reforestation",
                            "leisure",
                            "agroforestry",
                            "organic_production",
                            "agroindustry",
                            "carbon_conservation",
                            "rural_tourism",
                            "mixed"
                          ],
                          "type": "string"
                        }
                      },
                      "main_use": {
                        "type": "array",
                        "items": {
                          "enum": [
                            "agriculture",
                            "grains",
                            "coffee",
                            "sugarcane",
                            "fruit",
                            "horticulture",
                            "livestock",
                            "beef_cattle",
                            "dairy_cattle",
                            "equine",
                            "small_ruminants",
                            "poultry",
                            "fish_farming",
                            "forest",
                            "eucalyptus",
                            "reforestation",
                            "leisure",
                            "agroforestry",
                            "organic_production",
                            "agroindustry",
                            "carbon_conservation",
                            "rural_tourism",
                            "mixed"
                          ],
                          "type": "string"
                        }
                      },
                      "infrastructure": {
                        "type": "array",
                        "items": {
                          "enum": [
                            "main_house",
                            "condominium",
                            "worker_house",
                            "power",
                            "three_phase_power",
                            "internet",
                            "barn",
                            "corral",
                            "silos"
                          ],
                          "type": "string"
                        }
                      }
                    }
                  }
                },
                "required": [
                  "area"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {},
                    {
                      "not": {}
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/listings/update": {
      "post": {
        "operationId": "listings.update",
        "summary": "listings update",
        "description": "Endpoint POST /listings/update. Consulte os schemas de entrada e saída para conhecer os campos aceitos e a resposta retornada.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "data": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string"
                      },
                      "code": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "created_at": {
                        "type": "string",
                        "format": "date-time",
                        "x-native-type": "date"
                      },
                      "updated_at": {
                        "type": "string",
                        "format": "date-time",
                        "x-native-type": "date"
                      },
                      "user_id": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "broker_user_id": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "car": {
                        "anyOf": [
                          {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "property_name": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "ai_summary": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "ai_summary_translations": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "ai_summary_source_hash": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "ai_summary_generated_at": {
                        "anyOf": [
                          {
                            "type": "string",
                            "format": "date-time",
                            "x-native-type": "date"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "type": {
                        "anyOf": [
                          {
                            "enum": [
                              "country-home",
                              "small-farm",
                              "farm",
                              "stud-farm",
                              "plot",
                              "cottage",
                              "city-house",
                              "apartment",
                              "commercial",
                              "lodging",
                              "development",
                              "island",
                              "eco-village",
                              "mining"
                            ],
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "area": {
                        "type": "integer",
                        "minimum": -9007199254740991,
                        "maximum": 9007199254740991
                      },
                      "price": {
                        "anyOf": [
                          {
                            "type": "number"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "currency_unit_source": {
                        "type": "string"
                      },
                      "negotiation_min_price": {
                        "anyOf": [
                          {
                            "type": "number"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "accepted_payment_methods": {
                        "type": "array",
                        "items": {
                          "enum": [
                            "cash",
                            "financing",
                            "bitcoin",
                            "usd",
                            "soy_bags",
                            "gemstone",
                            "exchange",
                            "other"
                          ],
                          "type": "string"
                        }
                      },
                      "accepted_payment_other": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "rental_price": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "group_id": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "for_exchange": {
                        "anyOf": [
                          {
                            "type": "boolean"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "exchange_details": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "commission": {
                        "anyOf": [
                          {
                            "type": "integer",
                            "minimum": -2147483648,
                            "maximum": 2147483647
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "country_id": {
                        "anyOf": [
                          {
                            "type": "integer",
                            "minimum": -9007199254740991,
                            "maximum": 9007199254740991
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "state_id": {
                        "anyOf": [
                          {
                            "type": "integer",
                            "minimum": -9007199254740991,
                            "maximum": 9007199254740991
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "city_id": {
                        "anyOf": [
                          {
                            "type": "integer",
                            "minimum": -9007199254740991,
                            "maximum": 9007199254740991
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "district": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "neighborhood": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "address": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "coordinates": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "lat": {
                        "anyOf": [
                          {
                            "type": "number",
                            "minimum": -140737488355328,
                            "maximum": 140737488355327
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "lng": {
                        "anyOf": [
                          {
                            "type": "number",
                            "minimum": -140737488355328,
                            "maximum": 140737488355327
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "images": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      },
                      "video": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "documents": {
                        "anyOf": [
                          {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "polygon_geojson": {
                        "anyOf": [
                          {
                            "anyOf": [
                              {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "number"
                                  },
                                  {
                                    "type": "boolean"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              {
                                "type": "object",
                                "propertyNames": {
                                  "type": "string"
                                },
                                "additionalProperties": {}
                              },
                              {
                                "type": "array",
                                "items": {}
                              }
                            ]
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "status": {
                        "enum": [
                          "draft",
                          "pending",
                          "paused",
                          "published",
                          "off_market",
                          "duplicated"
                        ],
                        "type": "string"
                      },
                      "for_sale": {
                        "type": "boolean"
                      },
                      "for_rent": {
                        "anyOf": [
                          {
                            "type": "boolean"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "for_auction": {
                        "anyOf": [
                          {
                            "type": "boolean"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "image_quality_score": {
                        "anyOf": [
                          {
                            "type": "integer",
                            "minimum": -2147483648,
                            "maximum": 2147483647
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "advertiser_relationship_score": {
                        "anyOf": [
                          {
                            "type": "integer",
                            "minimum": -2147483648,
                            "maximum": 2147483647
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "advertiser_quality_score": {
                        "anyOf": [
                          {
                            "type": "integer",
                            "minimum": -2147483648,
                            "maximum": 2147483647
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "advertiser_score": {
                        "anyOf": [
                          {
                            "type": "integer",
                            "minimum": -2147483648,
                            "maximum": 2147483647
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "property_score": {
                        "anyOf": [
                          {
                            "type": "integer",
                            "minimum": -2147483648,
                            "maximum": 2147483647
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "priority_score": {
                        "anyOf": [
                          {
                            "type": "integer",
                            "minimum": -2147483648,
                            "maximum": 2147483647
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "details": {
                        "anyOf": [
                          {
                            "type": "object",
                            "properties": {
                              "building_area": {
                                "type": "number",
                                "exclusiveMinimum": 0
                              },
                              "exchange": {
                                "type": "boolean"
                              },
                              "pricing_features": {
                                "type": "object",
                                "properties": {
                                  "water": {
                                    "type": "array",
                                    "items": {
                                      "enum": [
                                        "river",
                                        "spring",
                                        "lake",
                                        "reservoir",
                                        "stream",
                                        "well"
                                      ],
                                      "type": "string"
                                    }
                                  },
                                  "topography": {
                                    "enum": [
                                      "flat",
                                      "gently_rolling",
                                      "rolling",
                                      "steep_rolling",
                                      "mountainous"
                                    ],
                                    "type": "string"
                                  },
                                  "production": {
                                    "type": "array",
                                    "items": {
                                      "enum": [
                                        "agriculture",
                                        "grains",
                                        "coffee",
                                        "sugarcane",
                                        "fruit",
                                        "horticulture",
                                        "livestock",
                                        "beef_cattle",
                                        "dairy_cattle",
                                        "equine",
                                        "small_ruminants",
                                        "poultry",
                                        "fish_farming",
                                        "forest",
                                        "eucalyptus",
                                        "reforestation",
                                        "leisure",
                                        "agroforestry",
                                        "organic_production",
                                        "agroindustry",
                                        "carbon_conservation",
                                        "rural_tourism",
                                        "mixed"
                                      ],
                                      "type": "string"
                                    }
                                  },
                                  "main_use": {
                                    "type": "array",
                                    "items": {
                                      "enum": [
                                        "agriculture",
                                        "grains",
                                        "coffee",
                                        "sugarcane",
                                        "fruit",
                                        "horticulture",
                                        "livestock",
                                        "beef_cattle",
                                        "dairy_cattle",
                                        "equine",
                                        "small_ruminants",
                                        "poultry",
                                        "fish_farming",
                                        "forest",
                                        "eucalyptus",
                                        "reforestation",
                                        "leisure",
                                        "agroforestry",
                                        "organic_production",
                                        "agroindustry",
                                        "carbon_conservation",
                                        "rural_tourism",
                                        "mixed"
                                      ],
                                      "type": "string"
                                    }
[...]
